POST account/changepasswordfirstlogin
change password when user first login then directly login after update successful
Request Information
Parameters
| Name | Description | Additional information |
|---|---|---|
| inVO | No documentation available. |
Define this parameter in the request body. |
Request body formats
application/json, text/json
Sample:
{
"newPassword": "sample string 1",
"confirmPassword": "sample string 2",
"email": "sample string 3",
"password": "sample string 4",
"userTableType": 5,
"isSuperAdminLogin": true,
"curUserId": "sample string 7",
"isSSO": true,
"requestHost": "sample string 9",
"applicationPath": "sample string 10",
"secureApplicationPath": "sample string 11",
"absoluteApplicationPath": "sample string 12",
"isHttps": true,
"isMobileDevice": true,
"clientType": 0,
"clientVersion": "sample string 15",
"clientOS": "sample string 16",
"clientBuild": "sample string 17",
"timeZone": 18,
"clientId": "sample string 19"
}
application/xml, text/xml
Sample:
<ChangePasswordFistLoginInVO xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/AiChinese.Internal.API.VO.Input"> <ClientId xmlns="http://schemas.datacontract.org/2004/07/AiChinese.Internal.API.VO.Input.Common">sample string 19</ClientId> <ClientType xmlns="http://schemas.datacontract.org/2004/07/AiChinese.Internal.API.VO.Input.Common">Web</ClientType> <TimeZone xmlns="http://schemas.datacontract.org/2004/07/AiChinese.Internal.API.VO.Input.Common">18</TimeZone> <absoluteApplicationPath xmlns="http://schemas.datacontract.org/2004/07/AiChinese.Internal.API.VO.Input.Common">sample string 12</absoluteApplicationPath> <applicationPath xmlns="http://schemas.datacontract.org/2004/07/AiChinese.Internal.API.VO.Input.Common">sample string 10</applicationPath> <cachedKey xmlns="http://schemas.datacontract.org/2004/07/AiChinese.Internal.API.VO.Input.Common">sample string 1</cachedKey> <clientBuild xmlns="http://schemas.datacontract.org/2004/07/AiChinese.Internal.API.VO.Input.Common">sample string 17</clientBuild> <clientOS xmlns="http://schemas.datacontract.org/2004/07/AiChinese.Internal.API.VO.Input.Common">sample string 16</clientOS> <clientVersion xmlns="http://schemas.datacontract.org/2004/07/AiChinese.Internal.API.VO.Input.Common">sample string 15</clientVersion> <curUserId xmlns="http://schemas.datacontract.org/2004/07/AiChinese.Internal.API.VO.Input.Common">sample string 7</curUserId> <isHttps xmlns="http://schemas.datacontract.org/2004/07/AiChinese.Internal.API.VO.Input.Common">true</isHttps> <isMobileDevice xmlns="http://schemas.datacontract.org/2004/07/AiChinese.Internal.API.VO.Input.Common">true</isMobileDevice> <isSSO xmlns="http://schemas.datacontract.org/2004/07/AiChinese.Internal.API.VO.Input.Common">true</isSSO> <requestHost xmlns="http://schemas.datacontract.org/2004/07/AiChinese.Internal.API.VO.Input.Common">sample string 9</requestHost> <secureApplicationPath xmlns="http://schemas.datacontract.org/2004/07/AiChinese.Internal.API.VO.Input.Common">sample string 11</secureApplicationPath> <Email>sample string 3</Email> <IsSuperAdminLogin>true</IsSuperAdminLogin> <Password>sample string 4</Password> <UserTableType>5</UserTableType> <ConfirmPassword>sample string 2</ConfirmPassword> <NewPassword>sample string 1</NewPassword> </ChangePasswordFistLoginInVO>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
No documentation available.
Response body formats
application/json, text/json
Sample:
{
"isDone": true,
"code": 0,
"message": "sample string 2",
"cachedKey": "sample string 3",
"correlationId": "46e7db2e-924f-4fc2-9e37-83a5dbea8eca",
"data": {
"user": {
"id": "sample string 1",
"email": "sample string 2",
"firstName": "sample string 3",
"lastName": "sample string 4",
"icon": {
"photo": "sample string 1",
"isUseAvatar": true,
"avatarBackgroundColor": "sample string 3",
"avatarName": "sample string 4"
},
"role": 5,
"roleName": "sample string 6",
"gender": "sample string 7",
"birthdate": "2026-02-07T01:48:54.0225616+08:00",
"isWechatLinked": true,
"isFacebookLinked": true,
"isGoogleLinked": true,
"fullName": "sample string 11",
"useState": "sample string 12",
"phone": "sample string 13",
"isoCode": "sample string 14",
"countryCode": "sample string 15",
"language": "sample string 16",
"referralCodeAsAgent": "sample string 17",
"referralCodeAsTeacher": "sample string 18",
"agentReferralCode": "sample string 19",
"teacherReferralCode": "sample string 20",
"reportEmails": "sample string 21",
"disabled": true,
"subagentEnabled": true,
"vipExpiredOn": "sample string 24"
},
"partnerList": [
{
"id": "sample string 1",
"name": "sample string 2",
"addedBy": "sample string 3",
"addedByFullName": "sample string 4",
"partnerUserAddedBy": "sample string 5",
"fullName": "sample string 6",
"role": 0,
"active": true,
"enableProduct": false,
"enableOtherAnswer": true,
"enablePromotion": false,
"enableBbs": true,
"enableOralAndReadBook": true
},
{
"id": "sample string 1",
"name": "sample string 2",
"addedBy": "sample string 3",
"addedByFullName": "sample string 4",
"partnerUserAddedBy": "sample string 5",
"fullName": "sample string 6",
"role": 0,
"active": true,
"enableProduct": false,
"enableOtherAnswer": true,
"enablePromotion": false,
"enableBbs": true,
"enableOralAndReadBook": true
},
{
"id": "sample string 1",
"name": "sample string 2",
"addedBy": "sample string 3",
"addedByFullName": "sample string 4",
"partnerUserAddedBy": "sample string 5",
"fullName": "sample string 6",
"role": 0,
"active": true,
"enableProduct": false,
"enableOtherAnswer": true,
"enablePromotion": false,
"enableBbs": true,
"enableOralAndReadBook": true
}
],
"authorization": {
"accessToken": "sample string 1",
"refreshToken": "sample string 2",
"utcExpiresDate": "2026-02-07T01:48:54.0225616+08:00",
"scope": "sample string 3"
},
"unitTaskParticipants": [
{
"id": 1,
"name": "sample string 2",
"participants": "sample string 3",
"userNames": "sample string 4",
"emails": "sample string 5"
},
{
"id": 1,
"name": "sample string 2",
"participants": "sample string 3",
"userNames": "sample string 4",
"emails": "sample string 5"
},
{
"id": 1,
"name": "sample string 2",
"participants": "sample string 3",
"userNames": "sample string 4",
"emails": "sample string 5"
}
],
"hasJoinAnyClass": true,
"enableLearnFunction": true,
"enableChinesePark": true,
"enableBbsFunction": true,
"enableEnglishSpokenUnit": true
}
}
application/xml, text/xml
Sample:
<ApiResponseOfLoginOutVOFP0KSs_SV xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/AiChinese.Internal.API"> <CachedKey>sample string 3</CachedKey> <Code>None</Code> <CorrelationId>46e7db2e-924f-4fc2-9e37-83a5dbea8eca</CorrelationId> <IsDone>true</IsDone> <Message>sample string 2</Message> </ApiResponseOfLoginOutVOFP0KSs_SV>